package com.proliferay.context.contributor;

import com.liferay.portal.kernel.template.TemplateContextContributor;
import com.liferay.portal.kernel.theme.ThemeDisplay;
import com.liferay.portal.kernel.util.WebKeys;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.osgi.service.component.annotations.Component;

/**
 * @author Hamidul
 */
@Component(
	immediate = true,
	property = {"type=" + TemplateContextContributor.TYPE_GLOBAL},
	service = TemplateContextContributor.class
)
public class SampleTemplateContextContributor
	implements TemplateContextContributor {

	@Override
	public void prepare(
		Map<String, Object> contextObjects, HttpServletRequest request) {
		String welcomeMessage = "";
		ThemeDisplay themeDisplay = (ThemeDisplay)request.getAttribute(WebKeys.THEME_DISPLAY);

		if(themeDisplay.isSignedIn()){
			String fullName = themeDisplay.getUser().getFullName();
			welcomeMessage = "Hi "+fullName+", welcome to our portal";
		}else{
			welcomeMessage = "You are not logged in";
		}
		
		contextObjects.put("welcomeMessage",welcomeMessage);
	}

}